# Read-only interface for git repos

## Configuration

The application is configured via environment variables:

- `GIT_BROWSER_REPOS` (default: `"."`): a comma separated list of repositories
  to show
- `GIT_BROWSER_DEFAULT_REPO` (default: first repo): the default repo to show
  (the last part of the path)
- `GIT_BROWSER_PORT` (default: `9090`): the port to use
- `GIT_BROWSER_DEFAULT_BRANCH` (default: `"main"`): the default branch to use
- `GIT_BROWSER_PREFIX` (default: `""`): the URL prefix to use

## Ideas

- [ ] Add math rending via katex. Default to CDN, but add option to base url
  option to allow using locally hosted files

## Notices

- `/src/static/htmx.min.js`:
  - Copyright (c) 2020, Big Sky Software
  - Licensed under BSD 2-Clause "Simplified" License
  - Source: https://github.com/bigskysoftware/htmx
