(function() {
    "use strict";

    // see: https://github.com/bigskysoftware/htmx/issues/1202
    const refPattern =  /\$\{([a-zA-Z][a-zA-Z0-9-]*)\}/;
    htmx.defineExtension('path-params', {
        onEvent : function(name, ev) {
            if(name == "htmx:configRequest") {
                ev.detail.path = ev.detail.path.replace(refPattern, function(_match, param) {
                    return ev.detail.parameters[param];
                });
                ev.detail.parameters = {};
            }
        }
    });
})();
